get:
  tags:
    - Subscription
  summary: Gets all the tenants' subscriptions.
  x-role: subscription-api-admin
  operationId: getSubscriptions
  responses:
    200:
      description: OK
      content:
        application/json:
          schema:
            type: array
            items:
              $ref: '../../schemas/subscription/subscription_response.yaml'
    401:
      $ref: '../../openapi.yaml#/components/responses/Unauthorized'
    403:
      $ref: '../../openapi.yaml#/components/responses/Forbidden'
    404:
      $ref: '../../openapi.yaml#/components/responses/NotFound'
post:
  tags:
    - Subscription
  summary: Create a subscription
  x-role: subscription-api-admin
  operationId: createSubscription
  requestBody:
    required: true
    content:
      application/json:
        schema:
          $ref: '../../schemas/subscription/subscription_creation.yaml'
  responses:
    200:
      description: OK
      content:
        application/json:
          schema:
            $ref: '../../schemas/subscription/subscription_response.yaml'
    401:
      $ref: '../../openapi.yaml#/components/responses/Unauthorized'
    403:
      $ref: '../../openapi.yaml#/components/responses/Forbidden'
    404:
      $ref: '../../openapi.yaml#/components/responses/NotFound'